Edit a Blocked Number Rule
Edit the configuration of a call blocklist rule.
Request URL
POST {base_url}/{api_path}/block_numbers/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of a call blocklist rule. Note: You can query call blocklist rule's ID using Search Specific Blocked Numbers Rules. |
| name | No | String | The name of the call blocklist rule. |
| limit_type | No | String | The communication type that will be applied to the call blocklist rule. Valid value:
|
| number_list | No | String | The numbers that will be blocked by the system. Note: Use & to separate multiple numbers. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/block_numbers/update?access_token=SX7P7AvcZdEJcr275lJcIP5BdWZDIPIH HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id":5,
"limit_type":"both"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}